Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Class InvalidPrincipalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.SecurityException
                      weblogic.security.spi.InvalidPrincipalException

All Implemented Interfaces:
  Serializable

    public class InvalidPrincipalException

extends SecurityException

The `InvalidPrincipalException` exception is thrown by a security provider if the principal that was generated for a user has become invalid. For example, the `InvalidPrincipalException` may be thrown because the principal has been deleted from the system while there was an active subject with that principal, or if there is a principal that purports to be in a given security realm but it is not in that realm.

See Also:
  Serialized Form

Constructor Summary
`InvalidPrincipalException()` Constructs an `InvalidPrincipalException` with no arguments.
`InvalidPrincipalException(String s)` Constructs an `InvalidPrincipalException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPrincipalException

    public InvalidPrincipalException()

  Constructs an `InvalidPrincipalException` with no arguments.

### InvalidPrincipalException

    public InvalidPrincipalException(String s)

  Constructs an `InvalidPrincipalException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `s` - a String providing additional information about this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD